Summary: stylesheets for use at Cygnus, in particular with docbook.
name: stylesheets
%define version 0.1
%define release 1
version: %{version}
release: %{release}
vendor: Cygnus Solutions
Distribution: Cygnus UNSUPPORTED Internal SGML Tools
requires: sgml-common
source: stylesheets.tgz
Copyright: Mark Eichin, Cygnus Solutions; Mark Burton (markb@ordern.com); Mark Galassi (Cygnus Solutions) for dbtohtml.dsl; Jon Bosak, Sun Microsystems for bosak-db3 and docbook.dsl, norm@berkshire.net for the docbook/ hierarchy.
Group: Utilities/Text
BuildRoot: /tmp/stylesheetsroot
%define sgmlbase /usr

%description
  stylesheets is a collection of stylesheets used at Cygnus for SGML 
conversion.  The stylesheets themselves are in /usr/lib/sgml/stylesheets.
experimental entries are added to the catalog.  Some simple scripts are
included to facilitating using the stylesheets.

%prep
%setup -c

%build
echo "nothing to build"

%install
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/docbook
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/docbook/common
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/docbook/html
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/docbook/lib
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/docbook/print
mkdir -p $RPM_BUILD_ROOT/usr/bin
install stylesheets/*.cat $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/
install stylesheets/*.dsl $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/
install stylesheets/docbook/common/*.dsl $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/docbook/common/
install stylesheets/docbook/html/*.dsl $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/docbook/html/
install stylesheets/docbook/lib/*.dsl $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/docbook/lib/
install stylesheets/docbook/print/*.dsl $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/docbook/print/
for i in stylesheets/*.sh; do
  j=$(basename $i .sh)
  install $i $RPM_BUILD_ROOT/usr/bin/$j
done

%post
# since old-postun is run *after* new-post, we must always cycle.
V=%{version}-%{release}
install-catalog --install stylesheets --version $V

%postun
# since old-postun is run *after* new-post, we must always cycle.
V=%{version}-%{release}
install-catalog --remove stylesheets --version $V

%files
%{sgmlbase}/lib/sgml/stylesheets/*
%{sgmlbase}/lib/sgml/stylesheets.cat
/usr/bin/*
